OpenAPI plugin - Defect #1584

JNLP change needed for 2022.03 and later
11/22/2022 02:48 PM - Robert lvens

Status: Closed Start date: 11/22/2022
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description

In Servoy 2022.03.x the WAR export only exports the latest versions of a jar and also only 1 of these are exported. The Apache
commons-lang jar is one of these.
The OpenAPI JNLP has the following entry:

<jar href="/plugins/OpenAPI/commons—-lang3-3.10.jar" version="%$%version%%s"/>

Which should be changed to

<jar href="/lib/org.apache.commons.lang3_3.12.0.jar" version="%%version%%"/>

History

#1 - 01/05/2023 11:44 AM - Robert Ivens

I think you can close this ticket :)

#2 - 01/05/2023 03:17 PM - Patrick Talbot

- Status changed from New to Closed
